package queries;

import exceptions.QueryFormattingException;

public class TokenListNodeGroup extends TokenListNode {
    TokenList child;

    public TokenListNodeGroup() {
        super(null);
    }

    @Override
    public QueryToken asTree() throws QueryFormattingException {
        return child.asTree();
    }

    @Override
    public boolean isConjunct() {
        return false;
    }

    @Override
    public String toString() {
        String childString;
        if (child == null) {
            childString = "-";
        }
        else {
            childString = child.toString();
        }
        return "<<GROUP:" + childString + ">>";
    }
}
