package revisionOperators;

import queries.Query;
import datastructures.Value;

public class GreaterThanOrEqualTo extends RevisionConstraint {
    public GreaterThanOrEqualTo(Query query, Value value) {
        super(query, value);
    }

    public GreaterThanOrEqualTo(Query constrainingQuery, Query valueQuery) {
        super(constrainingQuery, valueQuery);
    }

    @Override
    public Value revise(Value value) {
        if (value.greaterThan(this.value)) {
            return value;
        }
        return this.value;
    }
}