package exceptions;

public class UnknownBeliefLabelException extends Exception {

    private static final long serialVersionUID = 1L;

    private final String label;

    public UnknownBeliefLabelException(String label) {
        this.label = label;
    }

    @Override
    public String getMessage() {
        return "Query contained an unknown label: " + label;
    }
}
