package revisionOperators;

import queries.Query;
import datastructures.Value;
import exceptions.QueryFormattingException;

public class LessThanOrEqualTo extends RevisionConstraint {
    public LessThanOrEqualTo(Query query, Value value) {
        super(query, value);
    }

    public LessThanOrEqualTo(Query constrainingQuery, Query valueQuery) {
        super(constrainingQuery, valueQuery);
    }

    public LessThanOrEqualTo(String criteriaString, String valueString) throws QueryFormattingException {
        super(criteriaString, valueString);
    }

    @Override
    public Value revise(Value value) {
        if (value.lessThan(value)) {
            return value;
        }
        return this.value;
    }
}